
package test.org.itscool.commons.dao.criteria2;

import org.itscool.commons.dao.*;

public class Child {
    public static final String FK_TABLE_parent = "PARENT";
    public static final String FK_COLUM_parent_parentId = "ID";
    private int id;
    private String name;
    
    private Parent parent;
    private int parentId;
    
    public int getId(){
        return id;
    }
    
    public void setId( int id ){
        this.id = id;
    }
    
    public String getName(){
        return name;
    }
    
    public void setName( String name ){
        this.name = name;
    }

    public Parent getParent() {
        return parent;
    }

    public void setParent(Parent parent) {
        this.parent = parent;
    }

    public int getParentId() {
        return parentId;
    }

    public void setParentId(int parentId) {
        this.parentId = parentId;
    }
}
